Download it now!
Bug 95903 - PyUNO connection makes LibreOffice x64 crash
Summary: PyUNO connection makes LibreOffice x64 crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Stephan Bergmann
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-11-18 10:59 UTC by Anthony
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Python script to connect to LibreOffice (9.75 KB, text/plain)
2015-11-18 10:59 UTC, Anthony
Details
Backtrace of crash on Windows, LibO 5.0.3 (5.86 KB, text/plain)
2015-11-26 15:19 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony 2015-11-18 10:59:29 UTC
Created attachment 120619 [details]
Python script to connect to LibreOffice

On x64 LO only, the connection through PyUNO makes LO crash.

Crash on:
 - Official LibreOffice 5.0.3 x64
 - LibreOffice 5.1.0.0.aplha1 x64
 - LibreOffice 5.0.0.1 x64

Works fine on:
 - Official LibreOffice 5.0.3 x86

Here is the backtrace when it crashes:
Traceback (most recent call last):
  File "python\Danny.py", line 98, in <module>
    getDesktop()
  File "python\Danny.py", line 95, in getDesktop
    StarDesktop = createUnoService( "com.sun.star.frame.Desktop" )
  File "python\Danny.py", line 83, in createUnoService
    oObj = oServiceManager.createInstance( cClass )
__main__.RuntimeException: Binary URP bridge disposed during call

The debugguer says that it crashes in cppu3.dll
Comment 1 Anthony 2015-11-18 13:45:16 UTC
LO is started with:
C:\Program Files\LibreOffice 5\program\soffice.exe -accept=socket,host=localhost,port=8100;urp;StarOffice.ComponentContext

Attached python script danny.py is started with:
C:\Program Files\LibreOffice 5\program\python.exe danny.py
Comment 2 Buovjaga 2015-11-26 15:19:44 UTC
Created attachment 120817 [details]
Backtrace of crash on Windows, LibO 5.0.3

Got a backtrace of the crash.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)
Comment 3 Commit Notification 2015-12-15 15:58:36 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27f5679c84602713e74c947d88e72cfafc02fbc8

tdf#95903: Fix return value handling in msvc_win32_x86-64 bridge

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-12-15 16:01:43 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=289a8c4c14403322d69240962704bcda4e49e892&h=libreoffice-5-1

tdf#95903: Fix return value handling in msvc_win32_x86-64 bridge

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Stephan Bergmann 2015-12-15 16:04:09 UTC
requested backport to libreoffice-5-0 towards LO 5.0.5 at <https://gerrit.libreoffice.org/20723>
Comment 6 Commit Notification 2015-12-16 13:41:05 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80acb57d5c60abd3a07b2674d1c30f926d311513&h=libreoffice-5-0

tdf#95903: Fix return value handling in msvc_win32_x86-64 bridge

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.